Namespace
arm64v8
Image / Tag
openjdk:22-ea-buster
Content Digest
sha256:0758e33b1d4b30abc2f9dd5d1f5f2e171d636677450a9dd9b87b1061d5d5e2d6
Details
Created

2023-06-13 04:39:33 UTC

Size

321 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-22

JAVA_VERSION

22-ea+1

LANG

C.UTF-8

PATH

/usr/local/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e8371d57f7426517aead21bff5af0cf321625cac166c86214c439fb67db84243 - 14.62% (47 MB)

[#001] sha256:e7349847b3241e237d7a69174fea45593592e320324afdbae5c685b0a96e8181 - 5.18% (16.6 MB)

[#002] sha256:f104dc4fba2c93f994673ea6c81b78ad44ef6b4d6984576abf9be7cf0dde960b - 15.51% (49.8 MB)

[#003] sha256:f4f38ddbccfa3900f9aeb3c809456e73e3ed25d3fa23aefc0a6a0a11d9fe5391 - 4.36% (14 MB)

[#004] sha256:3c0388d0d44dfbdc9877a4fa2a06c77b4ad5a789524343a53050fa8b2ef68417 - 60.33% (194 MB)


History
2023-06-12 23:40:41 UTC

/bin/sh -c #(nop) ADD file:bb3cb9e6abc423742d7c1b6bc006a7cef70038c5621c71a90a2ae7c1ea29ec63 in /

2023-06-12 23:40:42 UTC

/bin/sh -c #(nop) CMD ["bash"]

2023-06-13 03:03:36 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl gnupg netbase wget ; rm -rf /var/lib/apt/lists/*

2023-06-13 03:03:56 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2023-06-13 04:39:22 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils binutils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2023-06-13 04:39:23 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-22

2023-06-13 04:39:23 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-06-13 04:39:23 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-06-13 04:39:23 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+1

2023-06-13 04:39:31 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk22/1/GPL/openjdk-22-ea+1_linux-x64_bin.tar.gz'; downloadSha256='50bf6303955ea128be3eb7ad9bc10f5e7eeacf9d3f81349a4d60a164fe7d0318'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk22/1/GPL/openjdk-22-ea+1_linux-aarch64_bin.tar.gz'; downloadSha256='6ca14677cb2db094acbc9b084d0a85c9e004aff9826977e0b9b35e5f9a55b550'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-06-13 04:39:33 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete